CVE-2004-0093
CVSS7.5
发布时间 :2004-03-15 00:00:00
修订时间 :2017-10-09 21:30:17
NMCO    

[原文]XFree86 4.1.0 allows remote attackers to cause a denial of service and possibly execute arbitrary code via an out-of-bounds array index when using the GLX extension and Direct Rendering Infrastructure (DRI).


[CNNVD]XFree86 Direct Rendering Infrastructure缓冲区溢出漏洞(CNNVD-200403-061)

        
        Direct Rendering Infrastructure (DRI)用于对XFree86提供显卡的3D硬件加速。
        XFree86由于对客户端数据缺少充分检查,远程攻击者可以使用GLX扩展和DRI对X服务器进行拒绝服务攻击。
        目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:xfree86_project:x11r6:4.1.0
cpe:/a:xfree86_project:x11r6:4.1.11
cpe:/a:xfree86_project:x11r6:4.1.12
cpe:/a:xfree86_project:x11r6:4.2.0
cpe:/a:xfree86_project:x11r6:4.2.1
cpe:/a:xfree86_project:x11r6:4.2.1::errata
cpe:/a:xfree86_project:x11r6:4.3.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0093
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0093
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200403-061
(官方数据源) CNNVD

- 其它链接及资源

ftp://patches.sgi.com/support/free/security/advisories/20040406-01-U
(UNKNOWN)  SGI  20040406-01-U
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000824
(UNKNOWN)  CONECTIVA  CLSA-2004:824
http://www.debian.org/security/2004/dsa-443
(VENDOR_ADVISORY)  DEBIAN  DSA-443
http://www.redhat.com/support/errata/RHSA-2004-152.html
(UNKNOWN)  REDHAT  RHSA-2004:152
http://www.securityfocus.com/bid/9701
(VENDOR_ADVISORY)  BID  9701
https://exchange.xforce.ibmcloud.com/vulnerabilities/15272
(UNKNOWN)  XF  xfree86-glx-array-dos(15272)

- 漏洞信息

XFree86 Direct Rendering Infrastructure缓冲区溢出漏洞
高危 未知
2004-03-15 00:00:00 2005-05-13 00:00:00
远程  
        
        Direct Rendering Infrastructure (DRI)用于对XFree86提供显卡的3D硬件加速。
        XFree86由于对客户端数据缺少充分检查,远程攻击者可以使用GLX扩展和DRI对X服务器进行拒绝服务攻击。
        目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        Debian
        ------
        
        http://www.debian.org/security/2004/dsa-443

- 漏洞信息

6880
XFree86 GLX/DRI Out-of-bounds Array Index Privilege Escalation
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Exploit Unknown Vendor Verified

- 漏洞描述

XFree86 contains a flaw that may allow an attacker to gain access to unauthorized privileges. The issue is triggered when using the GLX extension and Direct Rendering Infrastructure (DRI), allowing a remote attacker to gain root privileges.

- 时间线

2004-02-19 Unknow
Unknow 2004-02-19

- 解决方案

It has been reported that this issue has been fixed. Upgrade to version 4.3.0-2, or higher, to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站